Index: /trunk/anuga_work/development/mem_time_tests/parameters/timelen-over-timestep/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/parameters/timelen-over-timestep/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/parameters/timelen-over-timestep/main.py	(revision 8326)
@@ -1,5 +1,2 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
@@ -10,39 +7,51 @@
 import random
 import subprocess
-import ex1
 import csv
 import os
-from anuga.utilities import system_tools, log
 from anuga.abstract_2d_finite_volumes.util import add_directories
-#------------------------------------------------------------------------------
-# Setup computational domain
-#------------------------------------------------------------------------------
-a = []
-home = os.getenv('INUNDATIONHOME')
+from anuga.utilities.log_analyser import analyse_log
 
 
+#------------------------------------------------------------------------------
+# Set up variables for the correct directories to store the output
+#------------------------------------------------------------------------------
+home = os.getenv('INUNDATIONHOME')
 scenariodir = add_directories(home, ["data","mem_time_test", "parameters",
                                      "timelen-over-timestep"])
 file = 'ex1.csv'
+file_path = os.path.join(scenariodir, file)
+spamWriter = csv.writer(open(file_path, 'wb'))
+spamWriter.writerow(['Time Length', 'Time Step' , 'Time Taken','Space Used'])
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
+storen ='storen.txt'
+file_path_storen = os.path.join(scenariodir, storen)
 
-log.log_filename = os.path.join(scenariodir, 'log.txt')
+#create each file
+e = open(file_path_store,'a') 
+e.close()
+e = open(file_path_storen,'a')
+e.close()
 
-file_path = os.path.join(scenariodir, file)
 
-spamWriter = csv.writer(open(file_path, 'wb'))
 
-spamWriter.writerow(['Time Length', 'Time Step' , 'Time Taken','Space Used'])
-
+# main loops that give the time length (m) and the time step (n)
 for m in range(1,1000,50):
 
     for n in range(1,1000,5):
-        n = n/1000.0
-        system_tools.MemoryUpdate()
-        x = time.clock()
-        ex1.runex(float(m),n)
-        y = time.clock() 
-        b = system_tools.MemoryUpdate()[0]
-        spamWriter.writerow([m,n ,(y-x),b])
-        a.append((n,y-x,b))
-print a
+        n = n/1000.0 #adjust it so its small enough to see the nature of the relationship
 
+        #write to file
+        s = open(file_path_store,'r+')
+        s.write(str(float(m)))
+        t = open(file_path_storen,'r+')
+        t.write(str(n))
+
+        x = time.clock()#time it
+        subprocess.call(['python2.5', 'ex1.py'])#run it
+        y = time.clock()#time it
+        spamWriter.writerow([m,n ,(y-x),'b'])#write the results
+
+print 'Done'
+
+analyse_log(scenariodir, 'metalog.csv')#get the memory usage statistics from the log files
Index: /trunk/anuga_work/development/mem_time_tests/parameters/timelen/ex1.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/parameters/timelen/ex1.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/parameters/timelen/ex1.py	(revision 8326)
@@ -1,50 +1,67 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import time
 import os
-#------------------------------------------------------------------------------
-# Setup computational domain
-#------------------------------------------------------------------------------
 from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities import log
 
+#set up variables for the temporary data files
 home = os.getenv('INUNDATIONHOME')
 scenariodir = add_directories(home, ["data","mem_time_test", "parameters",
                                      "timelength"])
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
 
-def runex(f):
-   points, vertices, boundary = anuga.rectangular_cross(10,5,
-   len1=10.0, len2=5.0) # Mesh
-   domain = anuga.Domain(points, vertices, boundary) # Create domain
-   domain.set_name('channel1') # Output name
-   domain.set_datadir(scenariodir)  
+#get the time length from the store text file
+s = open(file_path_store,'r+')
+f = float(s.readline())
+s.close()
+
+#set up variables to store the results and the log files of each experiment
+scenariodirV = add_directories(home, ["data","mem_time_test", "parameters",
+                                       "timelength", "timelength-" + str(f)])
+log.log_filename = os.path.join(scenariodirV, "anuga.log")
+log._setup = False
+
+log.resource_usage_timing(prefix = 'BeforeSimulation') #get memory usage here
+
+#------------------------------------------------------------------------------
+# Create the domain and the mesh of the run
+#------------------------------------------------------------------------------
+points, vertices, boundary = anuga.rectangular_cross(100,300,len1=1000.0, len2=500.0) # Mesh
+domain = anuga.Domain(points, vertices, boundary) # Create domain
+domain.set_name('channel1') # Output name
+domain.set_datadir(scenariodirV)  
+
+log.resource_usage_timing(prefix = 'AfterMesh') #get memory usage here
 #------------------------------------------------------------------------------
 # Setup initial conditions
 #------------------------------------------------------------------------------
-   def topography(x, y):
-       return -x/10 # linear bed slope
-       domain.set_quantity('elevation', topography) # Use function for elevation
-       domain.set_quantity('friction', 0.01) # Constant friction
-       domain.set_quantity('stage', # Dry bed
-                           expression='elevation')
+def topography(x, y):
+    return -x/10 # linear bed slope
+domain.set_quantity('elevation', topography) # Use function for elevation
+domain.set_quantity('friction', 0.01) # Constant friction
+domain.set_quantity('stage',expression='elevation')
+
+log.resource_usage_timing(prefix='afterinitialconditions')#get memory usage here
 
 #------------------------------------------------------------------------------
 # Setup boundary conditions
 #------------------------------------------------------------------------------
-   Bi = anuga.Dirichlet_boundary([0.4, 0, 0]) # Inflow
-   Br = anuga.Reflective_boundary(domain) # Solid reflective wall
-   domain.set_boundary({'left': Bi, 'right': Br, 'top': Br, 'bottom': Br})
+Bi = anuga.Dirichlet_boundary([0.4, 0, 0]) # Inflow
+Br = anuga.Reflective_boundary(domain) # Solid reflective wall
+domain.set_boundary({'left': Bi, 'right': Br, 'top': Br, 'bottom': Br})
+
+log.resource_usage_timing(prefix='afterboundary')#get memory usage here
 
 #------------------------------------------------------------------------------
 # Evolve system through time
 #------------------------------------------------------------------------------
-   for t in domain.evolve(yieldstep=0.2, finaltime=f):
-      print domain.timestepping_statistics()
-   return f
+for t in domain.evolve(yieldstep=0.2, finaltime=f):
+    print domain.timestepping_statistics()
 
 
+log.resource_usage_timing(prefix='aftersimulation') #get memory usage here
+
Index: /trunk/anuga_work/development/mem_time_tests/parameters/timelen/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/parameters/timelen/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/parameters/timelen/main.py	(revision 8326)
@@ -1,47 +1,44 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import time
-import random
 import subprocess
-import ex1
 import csv
 import os
 from anuga.utilities import system_tools, log
 from anuga.abstract_2d_finite_volumes.util import add_directories
-#------------------------------------------------------------------------------
-# Setup computational domain
-#------------------------------------------------------------------------------
-a = []
-
-home = os.getenv('INUNDATIONHOME')
+from anuga.utilities.log_analyser import analyse_log
 
 
+#------------------------------------------------------------------------------
+# Set up variables for the correct directories to store the output
+#------------------------------------------------------------------------------
+home = os.getenv('INUNDATIONHOME')
 scenariodir = add_directories(home, ["data","mem_time_test", "parameters",
                                      "timelength"])
 file = 'ex1.csv'
-
-log.log_filename = os.path.join(scenariodir, 'log.txt')
-
 file_path = os.path.join(scenariodir, file)
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
 
 spamWriter = csv.writer(open(file_path, 'wb'))
+spamWriter.writerow(['Time Length(s)' , 'Time Taken(s)', 'Space Used'])
+e = open(file_path_store,'a')
+e.close()
 
-spamWriter.writerow(['Number Of Triangles' , 'Time Taken', 'Space Used'])
+#main loop that does the same experiment with different time lengths
+for n in range(1,100000,100):
 
+    h = open(file_path_store,'r+')
+    h.write(str(n)) #store the time length
 
-for n in range(1,1000,100):
-    system_tools.MemoryUpdate()
-    x = time.clock()
-    h = ex1.runex(n)
-    y = time.clock() 
-    b = system_tools.MemoryUpdate()[0]
-    spamWriter.writerow([h ,(y-x),b])
-    a.append((h,y-x,b))
-print a
+    x = time.clock() #time it
+    subprocess.call(['python2.5', 'ex1.py']) #run script
+    y = time.clock() #time it
+    spamWriter.writerow([n ,(y-x)]) #write results
 
+print 'Done'
+
+#get the memory usage from the log files of each run
+analyse_log(scenariodir, 'metalog.csv')
Index: /trunk/anuga_work/development/mem_time_tests/parameters/timestep/ex1.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/parameters/timestep/ex1.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/parameters/timestep/ex1.py	(revision 8326)
@@ -1,5 +1,2 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
@@ -10,41 +7,59 @@
 import random
 import os
+from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities import log
+
+#set up the variables for the temporary file directories
+home = os.getenv('INUNDATIONHOME')
+scenariodir = add_directories(home, ["data","mem_time_test", "parameters","timestep"])
+
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
+
+s = open(file_path_store,'r+') # read the timestep from the text file
+f = float(s.readline())
+s.close()
+
+#set up the variables for the log files and data directories
+scenariodirV = add_directories(home, ["data","mem_time_test", "parameters",
+                                       "timestep", "timestep-" + str(f)])
+log.log_filename = os.path.join(scenariodirV, "anuga.log")
+log._setup = False
+
+log.resource_usage_timing(prefix = 'BeforeSimulation') #get memory usage here
 #------------------------------------------------------------------------------
 # Setup computational domain
 #------------------------------------------------------------------------------
-from anuga.abstract_2d_finite_volumes.util import add_directories
+points, vertices, boundary = anuga.rectangular_cross(10,5,len1=10.0, len2=5.0) # Mesh
+domain = anuga.Domain(points, vertices, boundary) # Create domain
+domain.set_name('channel1') # Output name
+domain.set_datadir(scenariodirV) 
 
-home = os.getenv('INUNDATIONHOME')
-scenariodir = add_directories(home, ["data","mem_time_test", "parameters",
-                                     "timestep"])
-
-def runex(f):
-   points, vertices, boundary = anuga.rectangular_cross(10,5,
-   len1=10.0, len2=5.0) # Mesh
-   domain = anuga.Domain(points, vertices, boundary) # Create domain
-   domain.set_name('channel1') # Output name
-   domain.set_datadir(scenariodir) 
+log.resource_usage_timing(prefix = 'AfterMesh')  #get memory usage here
 #------------------------------------------------------------------------------
 # Setup initial conditions
 #------------------------------------------------------------------------------
-   def topography(x, y):
-       return -x/10 # linear bed slope
-       domain.set_quantity('elevation', topography) # Use function for elevation
-       domain.set_quantity('friction', 0.01) # Constant friction
-       domain.set_quantity('stage', # Dry bed
-                           expression='elevation')
+def topography(x, y):
+    return -x/10 # linear bed slope
+domain.set_quantity('elevation', topography) # Use function for elevation
+domain.set_quantity('friction', 0.01) # Constant friction
+domain.set_quantity('stage', expression='elevation')
+
+log.resource_usage_timing(prefix='afterinitialconditions')#get memory usage here
 
 #------------------------------------------------------------------------------
 # Setup boundary conditions
 #------------------------------------------------------------------------------
-   Bi = anuga.Dirichlet_boundary([0.4, 0, 0]) # Inflow
-   Br = anuga.Reflective_boundary(domain) # Solid reflective wall
-   domain.set_boundary({'left': Bi, 'right': Br, 'top': Br, 'bottom': Br})
+Bi = anuga.Dirichlet_boundary([0.4, 0, 0]) # Inflow
+Br = anuga.Reflective_boundary(domain) # Solid reflective wall
+domain.set_boundary({'left': Bi, 'right': Br, 'top': Br, 'bottom': Br})
 
+log.resource_usage_timing(prefix='afterboundary') #get memory usage here
 #------------------------------------------------------------------------------
 # Evolve system through time
 #------------------------------------------------------------------------------
-   for t in domain.evolve(yieldstep=f, finaltime=40.0):
-      print domain.timestepping_statistics()
+for t in domain.evolve(yieldstep=f, finaltime=40.0):
+    print domain.timestepping_statistics()
 
+log.resource_usage_timing(prefix='aftersimulation') #get memory usage here
 
Index: /trunk/anuga_work/development/mem_time_tests/parameters/timestep/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/parameters/timestep/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/parameters/timestep/main.py	(revision 8326)
@@ -1,47 +1,44 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import time
-import random
 import subprocess
-import ex1
 import csv
 import os
-from anuga.utilities import system_tools, log
+from anuga.utilities import log
 from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities.log_analyser import analyse_log
+
 #------------------------------------------------------------------------------
-# Setup computational domain
+# Set up variables for the correct directories to store the output
 #------------------------------------------------------------------------------
-a = []
 home = os.getenv('INUNDATIONHOME')
-
-
 scenariodir = add_directories(home, ["data","mem_time_test", "parameters",
                                      "timestep"])
 file = 'ex1.csv'
-
-log.log_filename = os.path.join(scenariodir, 'log.txt')
-
 file_path = os.path.join(scenariodir, file)
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
 
 spamWriter = csv.writer(open(file_path, 'wb'))
+spamWriter.writerow(['TimeStep' , 'Time Taken','Space Used'])
 
-spamWriter.writerow(['Friction' , 'Time Taken','Space Used'])
+e = open(file_path_store,'a') # create file
+e.close()
 
+#main loop that runs the script with different time steps (yield steps)
+for n in range(1,10000,10):
+    n = n/100.0 # get it in the right range
 
-for n in range(1,100,1):
-    n = n/100.0
-    system_tools.MemoryUpdate()
-    x = time.clock()
-    ex1.runex(n)
-    y = time.clock() 
-    b = system_tools.MemoryUpdate()[0]
-    spamWriter.writerow([n ,(y-x),b])
-    a.append((n,y-x,b))
-print a
+    g = open(file_path_store,'r+')
+    g.write(str(n)) #write the time step to the file
 
+    x = time.clock()#time it
+    subprocess.call(['python2.5', 'ex1.py']) # run it
+    y = time.clock() #time it
+    spamWriter.writerow([n ,(y-x),'b']) #record results
+
+print 'Done'
+
+analyse_log(scenariodir, 'metalog.csv') #get the memory statistics from the log files
Index: /trunk/anuga_work/development/mem_time_tests/scenarios/channelflow/ex1.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/scenarios/channelflow/ex1.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/scenarios/channelflow/ex1.py	(revision 8326)
@@ -1,9 +1,5 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import time
@@ -11,53 +7,73 @@
 import os
 from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities import log
 
+#set up the variables for the temporary storage files
 home = os.getenv('INUNDATIONHOME')
 scenariodir = add_directories(home, ["data","mem_time_test", "scenarios",
                                      "channelflow"])
+store = 'store.txt'
+file_path_store = os.path.join(scenariodir, store)
+storen = 'storen.txt'
+file_path_storen = os.path.join(scenariodir, storen)
 
+#read the percentage of water coverage and the length of the boundary
+f = open(file_path_store,'r+')
+length = float(f.readline())
+f.close()
+f = open(file_path_storen,'r+')
+lower = float(f.readline())
+f.close()
+
+#set up variables to store the experiment data and the log file
+scenariodirV = add_directories(home, ["data","mem_time_test", "scenarios",
+                                       "channelflow", "channelflow-" + str(lower) +"-"+ str(length)])
+log.log_filename = os.path.join(scenariodirV, "anuga.log")
+log._setup = False
+
+log.resource_usage_timing(prefix = 'BeforeSimulation')#get memory usage
 #------------------------------------------------------------------------------
 # Setup computational domain
 #------------------------------------------------------------------------------
-def runex(lower,length):
-   points, vertices, boundary = anuga.rectangular_cross(50,50,
-                                                     len1=length, len2=length) # Mesh
+points, vertices, boundary = anuga.rectangular_cross(100,300,len1=length, len2=length) # Mesh
+domain = anuga.Domain(points, vertices, boundary) # Create domain
+domain.set_datadir(scenariodir) 
+domain.set_name('channel1.sww') # Output name
 
+log.resource_usage_timing(prefix = 'AfterMesh') #get memory usage
 #--------------------------------------------------------------------------
-# Setup Domain only on processor 0
+# Setup Initial Conditions
 #--------------------------------------------------------------------------
-   domain = anuga.Domain(points, vertices, boundary) # Create domain
-   domain.set_datadir(scenariodir) 
-   domain.set_name('channel1.sww') # Output name
+def topography(x, y):
+    z = -x/10
+    N = len(x)
+    
+    #makes a step 
+    for i in range(N):
 
-   def topography(x, y):
-      z = -x/10
-      N = len(x)
-      for i in range(N):
-         if y[i] > lower:
-            z[i] += 1
+        if y[i] > lower:
+           z[i] += 1
               
-      return  z
+    return  z
 
-   domain.set_quantity('elevation', topography) # Use function for elevation
-   domain.set_quantity('friction', 0.01) # Constant friction
-   domain.set_quantity('stage', -1000.0)
+domain.set_quantity('elevation', topography) # Use function for elevation
+domain.set_quantity('friction', 0.01) # Constant friction
+domain.set_quantity('stage', -10000000000000000000000.0)
 
-
+log.resource_usage_timing(prefix='afterinitialconditions')#get memory usage
 #------------------------------------------------------------------------------
 # Setup boundary conditions
 #------------------------------------------------------------------------------
-   Bi = anuga.Dirichlet_boundary([0.5, 1, 0]) # Inflow
-   Bo = anuga.Dirichlet_boundary([-100,0,0]) 
-   Br = anuga.Reflective_boundary(domain) # Solid reflective wall
-   domain.set_boundary({'left': Bi, 'right': Bo, 'top': Br, 'bottom': Br})
+Bi = anuga.Dirichlet_boundary([0.5, 1, 0]) # Inflow
+Bo = anuga.Dirichlet_boundary([-100,0,0]) 
+Br = anuga.Reflective_boundary(domain) # Solid reflective wall
+domain.set_boundary({'left': Bi, 'right': Bo, 'top': Br, 'bottom': Br})
 
+log.resource_usage_timing(prefix='afterboundary')#get memory usage
 #------------------------------------------------------------------------------
 # Evolve system through time
 #------------------------------------------------------------------------------
-   for t in domain.evolve(yieldstep=0.2, finaltime=40.0):
-     #if myid == 0:
-       domain.write_time()
+for t in domain.evolve(yieldstep=0.2, finaltime=40.0):
+    domain.write_time()
 
-#domain.sww_merge()
-#finalize()
-
+log.resource_usage_timing(prefix='aftersimulation') #get memory usage
Index: /trunk/anuga_work/development/mem_time_tests/scenarios/channelflow/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/scenarios/channelflow/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/scenarios/channelflow/main.py	(revision 8326)
@@ -1,48 +1,55 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import random
 import subprocess
-import ex1
 import csv
 import os
 import time
-from anuga.utilities import system_tools, log
 from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities.log_analyser import analyse_log
 
 #------------------------------------------------------------------------------
-# Setup computational domain
+# Set up variables for the correct directories to store the output
 #------------------------------------------------------------------------------
-a = []
-
-
 home = os.getenv('INUNDATIONHOME')
 scenariodir = add_directories(home, ["data","mem_time_test", "scenarios",
                                      "channelflow"])
-
-log.log_filename = os.path.join(scenariodir, 'log.txt')
-
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
+storen ='storen.txt'
+file_path_storen = os.path.join(scenariodir, storen)
 file = 'ex1.csv'
 file_path = os.path.join(scenariodir, file)
 
+#set up the output files
 spamWriter = csv.writer(open(file_path, 'wb'))
 spamWriter.writerow(['Length','Stage','Time','Space'])
+e = open(file_path_store,'a')
+e.close()
+e = open(file_path_storen,'a')
+e.close()
 
+#the main loops that give the length of the inflow boundary (i) and the place to begin the step (n)
 for i in range(100,100000,10000):
+    for n in range(1,i/10,i/100):
+        
+        #adjust
+        i = i /100.0
+        n = n/10.0 
 
-    for n in range(1,i/10,i/100):
-        i = i /100.0
-        n = n/float(i) 
-        system_tools.MemoryUpdate()
-        z = time.time()
-        ex1.runex(n,i)
-        b = system_tools.MemoryUpdate()[0]
-        y = time.time()
-        spamWriter.writerow([i,(n/float(i)) ,(y-z), b])
-print a
+        #write these values to files
+        g = open(file_path_store,'r+')
+        g.write(str(i))
+        h = open(file_path_storen,'r+')
+        h.write(str(n))
 
+        z = time.time() #time it
+        subprocess.call(['python2.5', 'ex1.py'])#run the script
+        y = time.time() #time it
+
+        spamWriter.writerow([i,n,(y-z), 'b'])#record it
+print 'DONE'
+
+analyse_log(scenariodir, 'metalog.csv')#get the memory usage statistics from the various log files
Index: /trunk/anuga_work/development/mem_time_tests/scenarios/stage/ex1.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/scenarios/stage/ex1.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/scenarios/stage/ex1.py	(revision 8326)
@@ -1,9 +1,5 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import time
@@ -11,49 +7,65 @@
 import os
 from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities import log
 
+#set up the variables for the temporary data storage
 home = os.getenv('INUNDATIONHOME')
 scenariodir = add_directories(home, ["data","mem_time_test", "scenarios",
                                      "stage"])
+store = 'store.txt'
+file_path_store = os.path.join(scenariodir, store)
+storen = 'storen.txt'
+file_path_storen = os.path.join(scenariodir, storen)
 
+#read the values from the text files
+f = open(file_path_store,'r+')
+l = float(f.readline())
+f.close()
+f = open(file_path_storen,'r+')
+tide = float(f.readline())
+f.close()
 
+#set up variables to store the output of the simulation and the log files
+scenariodirV = add_directories(home, ["data","mem_time_test", "scenarios",
+                                       "stage", "stage-" + str(tide) +"-"+ str(l)])
+log.log_filename = os.path.join(scenariodirV, "anuga.log")
+log._setup = False
 
+log.resource_usage_timing(prefix = 'BeforeSimulation')# get memory usage
 #------------------------------------------------------------------------------
 # Setup computational domain
 #------------------------------------------------------------------------------
-def runex(l,tide):
+points, vertices, boundary = anuga.rectangular_cross(100,300,
+                                                     len1=l, len2=(l/2)) # Mesh
+domain = anuga.Domain(points, vertices, boundary) # Create domain
+domain.set_datadir(scenariodirV) 
+domain.set_name('channel1') # Output name
 
-   points, vertices, boundary = anuga.rectangular_cross(50,50,
-                                                     len1=l, len2=(l/2)) # Mesh
-
+log.resource_usage_timing(prefix = 'AfterMesh')# get memory usage
 
 #--------------------------------------------------------------------------
-# Setup Domain only on processor 0
+# Setup initial conditions
 #--------------------------------------------------------------------------
+def topography(x, y):
+    return  0 #flat land
+domain.set_quantity('elevation', topography) # Use function for elevation
+domain.set_quantity('friction', 0.01) # Constant friction
+domain.set_quantity('stage', tide)
 
-   domain = anuga.Domain(points, vertices, boundary) # Create domain
-   domain.set_datadir(scenariodir) 
-   domain.set_name('channel1') # Output name
-
-   def topography(x, y):
-       return  0 #-x/10  linear bed slope
-   domain.set_quantity('elevation', topography) # Use function for elevation
-   domain.set_quantity('friction', 0.01) # Constant friction
-   domain.set_quantity('stage', tide)
-    
+log.resource_usage_timing(prefix='afterinitialconditions') # get memory usage
 
 #------------------------------------------------------------------------------
 # Setup boundary conditions
 #------------------------------------------------------------------------------
-#Bi = anuga.Dirichlet_boundary([0.4, 0, 0]) # Inflow 
-   Br = anuga.Reflective_boundary(domain) # Solid reflective wall
-   domain.set_boundary({'left': Br, 'right': Br, 'top': Br, 'bottom': Br})
+Br = anuga.Reflective_boundary(domain) # Solid reflective wall
+domain.set_boundary({'left': Br, 'right': Br, 'top': Br, 'bottom': Br})
+
+log.resource_usage_timing(prefix='afterboundary')# get memory usage
 
 #------------------------------------------------------------------------------
 # Evolve system through time
 #------------------------------------------------------------------------------
-   for t in domain.evolve(yieldstep=0.2, finaltime=40.0):
-       domain.write_time()
+for t in domain.evolve(yieldstep=0.2, finaltime=40.0):
+    domain.write_time()
 
-#domain.sww_merge()
-#finalize()
-
+log.resource_usage_timing(prefix='aftersimulation')# get memory usage
